groovy.sql

## Class SqlWithParams

- java.lang.Object
- - groovy.sql.SqlWithParams

    public class SqlWithParams
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`SqlWithParams(java.lang.String sql, java.util.List<java.lang.Object> params)`

### Method Summary

Methods
`java.util.List<java.lang.Object>` `getParams()`
`java.lang.String` `getSql()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlWithParams

    public SqlWithParams(java.lang.String sql,
                 java.util.List<java.lang.Object> params)

### Method Detail

#### getSql

    public java.lang.String getSql()

#### getParams

    public java.util.List<java.lang.Object> getParams()